StreamCopyListener (The Data Transfer Agent Service 1.1.0-SNAPSHOT API)
Date: 2012-10-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.datatransfer.agent.impl.streams
Class StreamCopyListener

    java.lang.Object
      org.gcube.data.streams.delegates.StreamListenerAdapter
          org.gcube.datatransfer.agent.impl.streams.StreamCopyListener

All Implemented Interfaces:
  org.gcube.data.streams.delegates.StreamListener

    public class StreamCopyListener

extends org.gcube.data.streams.delegates.StreamListenerAdapter

Author:
  Andrea Manzi(CERN)

Constructor Summary
`StreamCopyListener(String transferID, org.gcube.datatransfer.agent.stubs.datatransferagent.SourceData source, org.gcube.datatransfer.agent.stubs.datatransferagent.DestData dest)`

Method Summary
`void` | `onEnd()`
`void` | `onStart()`
`void` | `sendEvent(Events.TransferTopics topic, String message)`

Methods inherited from class org.gcube.data.streams.delegates.StreamListenerAdapter
`onClose`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StreamCopyListener

    public StreamCopyListener(String transferID,
                              org.gcube.datatransfer.agent.stubs.datatransferagent.SourceData source,
                              org.gcube.datatransfer.agent.stubs.datatransferagent.DestData dest)

Method Detail

### onEnd

    public void onEnd()

  Specified by:
    `onEnd` in interface `org.gcube.data.streams.delegates.StreamListener`
  Overrides:
    `onEnd` in class `org.gcube.data.streams.delegates.StreamListenerAdapter`

### onStart

    public void onStart()

  Specified by:
    `onStart` in interface `org.gcube.data.streams.delegates.StreamListener`
  Overrides:
    `onStart` in class `org.gcube.data.streams.delegates.StreamListenerAdapter`

### sendEvent

    public void sendEvent(Events.TransferTopics topic,
                          String message)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.